with 
vals_deb as (select user_traqueur, system_traqueur, idle_traqueur, iowait_traqueur  from traqueur_times where dtcol = (select min(dtcol) from traqueur_times where dtcol >= current_timestamp - interval '15 minute')), 
vals_fin as (select user_traqueur, system_traqueur, idle_traqueur, iowait_traqueur  from traqueur_times where dtcol = (select max(dtcol) from traqueur_times))
select round(vals_fin.user_traqueur - vals_deb.user_traqueur) as cpu_user_time, 
round(vals_fin.system_traqueur - vals_deb.system_traqueur) as cpu_system_time, 
round(vals_fin.idle_traqueur - vals_deb.idle_traqueur) as cpu_idle_time, 
round(vals_fin.iowait_traqueur - vals_deb.iowait_traqueur) as iowait_time
from vals_deb, vals_fin;
